<ng-container *ngIf="dataLoaded; else loading">
  <p mat-dialog-title>{{ data.title | uppercase }}</p>
  <p mat-dialog-content>{{ data.content }}</p>
  <mat-dialog-content>
    <form [formGroup]="addStudySetForm"></form>
    <ng-container *ngIf="myStudySetsWithNoFolders.length === 0; else showStudySets">
      <mat-card class="card-no-more">
        <mat-card-title> No more study sets to show 🤷 </mat-card-title>
        <mat-card-content>
          <p class="is-size-5">All your study sets are here</p>
        </mat-card-content>
        <mat-card-actions>
          <button mat-raised-button color="primary" [mat-dialog-close]="false" [routerLink]="['/home/study-sets']">
            Go to my study sets
          </button>
        </mat-card-actions>
      </mat-card>
    </ng-container>
    <ng-container #showStudySets *ngFor="let studySet of myStudySetsWithNoFolders">
      <mat-card class="add-card">
        <mat-card-title> {{ studySet.title }} </mat-card-title>
        <mat-card-subtitle> {{ studySet.description }} </mat-card-subtitle>
        <mat-card-actions>
          <button mat-raised-button color="primary" [mat-dialog-close]="studySet" type="submit">
            Add to folder
          </button>
        </mat-card-actions>
      </mat-card>
    </ng-container>
  </mat-dialog-content>
  <mat-dialog-actions>
    <button mat-button [mat-dialog-close]="false">Cancel</button>
  </mat-dialog-actions>
</ng-container>

<ng-template #loading>
  <app-loading></app-loading>
</ng-template>
